π¨οΈEndpoints
The following are all of the publicly accessible endpoints for the API.
Nomenclature
Route
Example Route URL
[
{
"line": "NE",
"order": 1,
"name": "Harbourfront",
"direction": "NE-6",
"allCodes": [
"NE1",
"CC29"
],
"crossPlatform": [],
"isInterchange": true,
"publicTransfer": false,
"busInterchange": true,
"airportTerminal": false,
"cruiseCentre": true,
"facilities": [...]
},
{
"line": "NE",
"order": 1,
"name": "TBC",
"direction": "NE-6",
"allCodes": [
"NE2"
],
"crossPlatform": [],
"isInterchange": false,
"publicTransfer": false,
"busInterchange": false,
"airportTerminal": false,
"cruiseCentre": false,
"facilities": []
},
{
"line": "NE",
"order": 2,
"name": "Outram Park",
"direction": "NE-6",
"allCodes": [
"NE3",
"EW16",
"TE17"
],
"crossPlatform": [],
"isInterchange": true,
"publicTransfer": false,
"busInterchange": false,
"airportTerminal": false,
"cruiseCentre": false,
"facilities": [...]
},
...]Platform
Example URLs
Platform Facilities
Example URLs
Route, Platform, and Platform Facilities APIs
Route listing
Gets all the platforms available along a specific direction on a specific line.
Path Parameters
Name
Type
Description
Platform listing
Gets the platform object of a specific station.
Path Parameters
Name
Type
Description
Platform Facilities listing
Gets all the facilities that are located on a specific platform.
Path Parameters
Name
Type
Description
Last updated
Was this helpful?